import { Change, CriticalityLevel } from '@graphql-inspector/core';
export interface WebhookNotification {
    environment: string;
    name?: string;
    owner: string;
    repo: string;
    commit?: string;
    changes: Array<{
        message: string;
        level: CriticalityLevel;
    }>;
}
export declare function notifyWithWebhook({ url, changes, environment, repo, owner, commit, }: {
    url: string;
    changes: Change[];
    environment?: string;
    owner: string;
    repo: string;
    commit?: string;
}): Promise<void>;
export declare function notifyWithSlack({ url, changes, environment, repo, owner, commit, }: {
    changes: Change[];
    url: string;
    environment?: string;
    owner: string;
    repo: string;
    commit?: string;
}): Promise<void>;
export declare function notifyWithDiscord({ url, changes, environment, repo, owner, commit, }: {
    changes: Change[];
    url: string;
    environment?: string;
    owner: string;
    repo: string;
    commit?: string;
}): Promise<void>;
