import { GraphQLSchema } from 'graphql';
import { InspectorConfig } from '@graphql-inspector/config';
import { LoadSchemaOptions, LoadTypedefsOptions } from '@graphql-tools/load';
import { Loader, Source } from '@graphql-tools/utils';
export declare class LoadersRegistry {
    private loaders;
    register(loader: Loader): void;
    registerModule(loaderName: string): void;
    loadSchema(pointer: string, options: Omit<LoadSchemaOptions, "loaders"> | undefined, enableApolloFederation: boolean, enableAWS: boolean): Promise<GraphQLSchema>;
    loadDocuments(pointer: string, options?: Omit<LoadTypedefsOptions, 'loaders'>): Promise<Source[]>;
}
export type Loaders = Pick<LoadersRegistry, 'loadSchema' | 'loadDocuments'>;
export declare function useLoaders(config: InspectorConfig): Loaders;
