import chalk from 'chalk';
export { default as figures } from 'figures';
export { default as symbols } from 'log-symbols';
export { chalk };
export declare function bolderize(msg: string): string;
export interface Logger {
    success(msg: string): void;
    log(msg: string): void;
    info(msg: string): void;
    error(msg: string): void;
    warn(msg: string): void;
}
export declare const Logger: {
    success(msg: string): void;
    log(msg: string): void;
    table(input: {
        method: string;
        result: string;
    }[]): void;
    info(msg: string): void;
    error(msg: string): void;
    warn(msg: string): void;
};
export declare function mockLogger(fn: (msg: string) => void): void;
export declare function unmockLogger(): void;
